{% extends "customers/base.html" %}
{% load i18n %}
{% load staticfiles %}
{% load active_tag %}
{% load md2 %}

{% block title %}Reportes Personalizados{% endblock %}

{% block pagelevelcss %}
<link href="{% static 'theme/plugins/c3/c3.min.css' %}" rel="stylesheet" type="text/css">
{% endblock %}

{% block page %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
    <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
    <li class="breadcrumb-item"><a href="{% url 'payment-report' %}">Reporte de pagos</a></li>
    <li class="breadcrumb-item active">Recuento de Estados</li>
</ol>
<!-- end breadcrumb -->
<!-- begin page-header -->
<h1 class="page-header">Reportes Personalizados</h1>
<!-- end page-header -->
<!-- begin row -->
<div class="row">
		<!-- begin col-12 -->
		<div class="col-xl-12">
			<!-- begin panel -->
			<div class="panel panel-inverse" data-sortable-id="table-basic-1">
				<!-- begin panel-heading -->
				<div class="panel-heading">
					<h4 class="panel-title">Reportes Personalizados</h4>
					<div class="panel-heading-btn">
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
				</div>
				<!-- end panel-heading -->
				<div class="panel-body">
    				<div id="select_report-app">
						{% csrf_token %}
						<div class="row mb-3">
							<div class="col-sm-12 col-md-6">
								<h5 class="text-muted">Seleccione Reporte:</h5>
								<p>
									<v-select v-model="selectedReports" :options="reportsOptions"></v-select>
								</p>
								<button class="btn btn-primary" v-on:click="refreshData()">Seleccionar</button>
							</div>
    					</div> 
    					<!-- end row -->
					</div>
					<!-- payments-app -->
				</div>
				<!-- end panel-body -->
			
			</div>
			<!-- end panel -->
		</div>
		<!-- end colum -->
</div>
<!-- end row -->

<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->
	  

{% endblock %}
 

{% block pageleveljs %}
<script type="text/javascript">
    //active menu
    document.getElementById("reports_menu").classList.add("active");
    //active submenu item
	document.getElementById("general_report").classList.add("active");
</script>

<script src="{% static 'js/vue' %}"></script>
    <script src="{% static 'js/vue-resource' %}"></script>
    <script src="{% static 'js/vue-select' %}"></script>
    <script src="{% static 'js/lodash.min.js' %}"></script>

<script>
    get = function(obj, key) {
	return key.split(".").reduce(function(o, x) {
	    return (typeof o == "undefined" || o === null) ? o : o[x];
	}, obj);
    }

	var csrftoken = $("[name=csrfmiddlewaretoken]").val();
    $.ajaxSetup({
    beforeSend: function(xhr, settings) {
        xhr.setRequestHeader("X-CSRFToken", csrftoken);
    }});

	function send_info(url,send_data)
	{	
		$.ajax({
            type: 'POST',
            url: url,
            data: send_data,
			datatype: "json",
			async: false,
        });
	}

  Vue.component('v-select', VueSelect.VueSelect);

  // Register a global custom directive called v-focus
  Vue.directive('focus', {
  // When the bound element is inserted into the DOM...
  inserted: function (el) {
  // Focus the element
  el.focus()
    
  }
  
  })

  var select_report_app = new Vue({
      el: '#select_report-app',
      data: {
          message: null,
	  reportsOptions: [{% for report in reports %}{value: {{ report.0 }}, label: "{{ report.1 }}"},{% endfor %}],
	  selectedReports: {value: 0, label: "Nuevo"},
      },
      
      mounted: function () {
	  //this.refreshData();
      },
      methods: {
	  refreshData: _.debounce(
	      function() {
			window.location = '/general_report?pk='+this.selectedReports.value;
		  }
	  )
      }
  })

</script>

{% endblock %}